## org.jvnet.maven.plugin.antrun
Class AbstractAntMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.jvnet.maven.plugin.antrun.AbstractAntMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  AntRunMojo

    public abstract class AbstractAntMojo

extends org.apache.maven.plugin.AbstractMojo

Abstract class for the Antrun plugin

Version:
  $Id: AbstractAntMojo.java 557320 2007-07-18 16:35:18Z kenney $
Author:
  Kenney Westerhof, Vincent Siveton

Field Summary

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`AbstractAntMojo()`

Method Summary
`protected void` `configureProject(org.apache.tools.ant.Project antProject)` Provides an opportunity for derived types to customize Ant project.
`protected void` `executeTasks(org.apache.tools.ant.Target antTasks, org.apache.maven.project.MavenProject mavenProject)` Deprecated. use `executeTasks(Target,MavenProject,List)`.
`protected void` `executeTasks(org.apache.tools.ant.Target antTasks, org.apache.maven.project.MavenProject mavenProject, java.util.List pluginArtifacts)`
`org.apache.tools.ant.types.Path` `getPathFromArtifacts(java.util.Collection artifacts, org.apache.tools.ant.Project antProject)`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.maven.plugin.Mojo
`execute`

Constructor Detail

### AbstractAntMojo

    public AbstractAntMojo()

Method Detail

### executeTasks

    protected void executeTasks(org.apache.tools.ant.Target antTasks,
                                org.apache.maven.project.MavenProject mavenProject)
                         throws org.apache.maven.plugin.MojoExecutionException

  Deprecated. use `executeTasks(Target,MavenProject,List)`.

  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

### executeTasks

    protected void executeTasks(org.apache.tools.ant.Target antTasks,
                                org.apache.maven.project.MavenProject mavenProject,
                                java.util.List pluginArtifacts)
                         throws org.apache.maven.plugin.MojoExecutionException

  Parameters:
    `antTasks` -
    `mavenProject` -
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

### configureProject

    protected void configureProject(org.apache.tools.ant.Project antProject)

  Provides an opportunity for derived types to customize Ant project.

### getPathFromArtifacts

    public org.apache.tools.ant.types.Path getPathFromArtifacts(java.util.Collection artifacts,
                                                                org.apache.tools.ant.Project antProject)
                                                         throws org.apache.maven.artifact.DependencyResolutionRequiredException

  Parameters:
    `artifacts` -
    `antProject` -
  Returns:
    a path
  Throws:
    `org.apache.maven.artifact.DependencyResolutionRequiredException`

Copyright © 2011. All Rights Reserved.